Skip to content

Managed VMware vSphere

All operations require authentication.

10 operationsv1/dedicatedCloud · /dedicatedCloud/{serviceName}
View as Markdown (opens in a new tab)
Agent setup

List Managed VMware vSphere servicesProduction

GET
/v1/dedicatedCloud

List Managed VMware vSphere services. Returns the names of the services of the account. Filter by IAM tags with iamTags.

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a Managed VMware vSphere serviceProduction

GET
/v1/dedicatedCloud/{serviceName}

Get a Managed VMware vSphere service. Returns the service: state, version, location, access and session policies, and management interface URLs.

Path parameters

serviceName
required
string

Domain of the service

Response

200dedicatedCloudWithIAMsuccessful operation
advancedSecurity
read-only
boolean

Advanced security state

bandwidth
read-only
string

The current bandwidth of your VMware on OVHcloud

billingType
read-only
BillingTypeEnum

Billing type of your VMware on OVHcloud

Valuesdemomonthly
canMigrateToVCD
read-only
boolean

Can the PCC be migrated to VCD

certifiedInterfaceUrl
read-only
string

Url to the VMware on OVHcloud certified interface

commercialRange
read-only
string

The current version of your VMware on OVHcloud

description
string

Description of your VMware on OVHcloud

generation
read-only
GenerationEnum

Generation of your VMware on OVHcloud

Values1.02.0
iam
read-only
ResourceMetadata

IAM resource metadata

location
read-only
string

Datacenter where your VMware on OVHcloud is physically located

managementInterface
read-only
ManagementInterfaceEnum

The management interface name

Valuesazureopenstacksystemcentervcloudvcsavsphere
productReference
read-only
productReferenceEnum

The reference universe information for your VMware on OVHcloud

ValuesEPCCMBM
serviceName
read-only
string

Service name of your VMware on OVHcloud

servicePackName
read-only
string

Name of the current service pack

spla
read-only
boolean

SPLA licensing state

sslV3
boolean

Enable SSL v3 support. Warning : this option is not recommended as it was recognized as a security breach. If this is enabled, we advise you to enable the filtered User access policy

state
read-only
StateEnum

Current state of your VMware on OVHcloud

ValuesavailabledelivereddisableddisablingerrormigratingprovisionningrecyclingreservedtoDisabletoProvisiontoRecycletoRemovetoUnprovisionunprovisionningupgrading
userAccessPolicy
UserAccessPolicyEnum

Access policy of your VMware on OVHcloud : opened to every IPs or filtered

Valuesfilteredopen
userLimitConcurrentSession
integer

The maximum amount of connected users allowed on the VMware on OVHcloud management interface

userLogoutPolicy
UserLogoutPolicyEnum

Which user will be disconnected first in case of quota of maximum connection is reached

Valuesfirstlast
userSessionTimeout
integer

The timeout (in seconds) for the user sessions on the VMware on OVHcloud management interface. 0 value disable the timeout

vScopeUrl
read-only
string

Url to the VMware on OVHcloud vScope interface

version
read-only
Version

Version of the management interface

webInterfaceUrl
read-only
string

Url to the VMware on OVHcloud web interface

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "advancedSecurity": true, "bandwidth": "string", "billingType": "demo", "canMigrateToVCD": true, "certifiedInterfaceUrl": "string", "commercialRange": "string", "description": "string", "generation": "1.0", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "location": "string", "managementInterface": "azure", "productReference": "EPCC", "serviceName": "string", "servicePackName": "string", "spla": true, "sslV3": true, "state": "available", "userAccessPolicy": "filtered", "userLimitConcurrentSession": 0, "userLogoutPolicy": "first", "userSessionTimeout": 0, "vScopeUrl": "string", "version": { "build": "string", "major": "string", "minor": "string" }, "webInterfaceUrl": "string"}

Get the service capabilitiesProduction

GET
/v1/dedicatedCloud/{serviceName}/capabilities

Get the service capabilities. Returns which features can be ordered or used on the service, such as backup, user creation and hypervisor upgrade.

Path parameters

serviceName
required
string

Domain of the service

Response

200Capabilitiessuccessful operation
addRessourceRightStatus
read-only
FeatureStatusEnum

canAddRessource right order status in this VMware on OVHcloud

ValuesactivecomingSoonno
backupStatus
read-only
FeatureStatusEnum

Backup feature order status for this VMware on OVHcloud

ValuesactivecomingSoonno
canAddUser
read-only
boolean

if true user can be added in this VMware on OVHcloud (with POST /dedicatedCloud/{serviceName}/user

fullAdminRoUserStatus
read-only
FeatureStatusEnum

fullAdminRO user right order status in this VMware on OVHcloud

ValuesactivecomingSoonno
nexus1000vStatus
read-only
FeatureStatusEnum

Nexus 1000v feature order status in this VMware on OVHcloud ?

ValuesactivecomingSoonno
upgradable
read-only
boolean

Hypervisor upgrade order status in this VMware on OVHcloud (upgrade with POST /dedicatedCloud/{serviceName}/upgradeHypervisor)

userAccessPolicyStatus
read-only
FeatureStatusEnum

userAccessPolicy property edition status in PUT /dedicatedCloud/{serviceName}

ValuesactivecomingSoonno

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/capabilities \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "addRessourceRightStatus": "active", "backupStatus": "active", "canAddUser": true, "fullAdminRoUserStatus": "active", "nexus1000vStatus": "active", "upgradable": true, "userAccessPolicyStatus": "active"}

Get service informationProduction

GET
/v1/dedicatedCloud/{serviceName}/serviceInfos

Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.

Path parameters

serviceName
required
string

Domain of the service

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Change service contactsProduction

POST
/v1/dedicatedCloud/{serviceName}/changeContact

Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.

Path parameters

serviceName
required
string

Domain of the service

Request body (required)

contactAdmin
string

The contact to set as admin contact

contactBilling
string

The contact to set as billing contact

contactTech
string

The contact to set as tech contact

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/changeContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Update the serviceProduction

POST
/v1/dedicatedCloud/{serviceName}/changeProperties

Update the service. Updates the description, access policy, logout policy, session timeout, concurrent session limit and SSL v3 support of the service. Returns a task to track progress.

Path parameters

serviceName
required
string

Domain of the service

Request body (required)

description
string

Description of your VMware on OVHcloud

sslV3
boolean

Enable SSL v3 support. Warning: this option is not recommended as it was recognized as a security breach. If this is enabled, we advise you to enable the filtered User access policy

userAccessPolicy
UserAccessPolicyEnum

Access policy of your VMware on OVHcloud: opened to each IP or filtered

Valuesfilteredopen
userLimitConcurrentSession
integer

The maximum amount of connected users allowed on the VMware on OVHcloud management interface

userLogoutPolicy
UserLogoutPolicyEnum

Logout policy of your VMware on OVHcloud

Valuesfirstlast
userSessionTimeout
integer

The timeout (in seconds) for the user sessions on the VMware on OVHcloud management interface. 0 value disable the timeout

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/changeProperties \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Confirm service terminationProduction

POST
/v1/dedicatedCloud/{serviceName}/confirmTermination

Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.

Path parameters

serviceName
required
string

Domain of the service

Request body (required)

commentary
string

Commentary about your termination request

futureUse
TerminationFutureUseEnum

What next after your termination request

ValuesNOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITOR
reason
TerminationReasonEnum

Reason of your termination request

ValuesFEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORT
token
required
string

The termination token sent by email to the admin contact

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/confirmTermination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Request service terminationProduction

POST
/v1/dedicatedCloud/{serviceName}/terminate

Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.

Path parameters

serviceName
required
string

Domain of the service

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Update a Managed VMware vSphere serviceDeprecated

PUT
/v1/dedicatedCloud/{serviceName}

Deprecated since Jan 9, 2019, will be removed on Mar 9, 2019 — use /dedicatedCloud/{serviceName}/changeProperties instead.

Update a Managed VMware vSphere service. Updates the description and the access and session policies of the service. Deprecated: use changeProperties instead.

Path parameters

serviceName
required
string

Domain of the service

Request body (required)

advancedSecurity
read-only
boolean

Advanced security state

bandwidth
read-only
string

The current bandwidth of your VMware on OVHcloud

billingType
read-only
BillingTypeEnum

Billing type of your VMware on OVHcloud

Valuesdemomonthly
canMigrateToVCD
read-only
boolean

Can the PCC be migrated to VCD

certifiedInterfaceUrl
read-only
string

Url to the VMware on OVHcloud certified interface

commercialRange
read-only
string

The current version of your VMware on OVHcloud

description
string

Description of your VMware on OVHcloud

generation
read-only
GenerationEnum

Generation of your VMware on OVHcloud

Values1.02.0
location
read-only
string

Datacenter where your VMware on OVHcloud is physically located

managementInterface
read-only
ManagementInterfaceEnum

The management interface name

Valuesazureopenstacksystemcentervcloudvcsavsphere
productReference
read-only
productReferenceEnum

The reference universe information for your VMware on OVHcloud

ValuesEPCCMBM
serviceName
read-only
string

Service name of your VMware on OVHcloud

servicePackName
read-only
string

Name of the current service pack

spla
read-only
boolean

SPLA licensing state

sslV3
boolean

Enable SSL v3 support. Warning : this option is not recommended as it was recognized as a security breach. If this is enabled, we advise you to enable the filtered User access policy

state
read-only
StateEnum

Current state of your VMware on OVHcloud

ValuesavailabledelivereddisableddisablingerrormigratingprovisionningrecyclingreservedtoDisabletoProvisiontoRecycletoRemovetoUnprovisionunprovisionningupgrading
userAccessPolicy
UserAccessPolicyEnum

Access policy of your VMware on OVHcloud : opened to every IPs or filtered

Valuesfilteredopen
userLimitConcurrentSession
integer

The maximum amount of connected users allowed on the VMware on OVHcloud management interface

userLogoutPolicy
UserLogoutPolicyEnum

Which user will be disconnected first in case of quota of maximum connection is reached

Valuesfirstlast
userSessionTimeout
integer

The timeout (in seconds) for the user sessions on the VMware on OVHcloud management interface. 0 value disable the timeout

vScopeUrl
read-only
string

Url to the VMware on OVHcloud vScope interface

version
read-only
Version

Version of the management interface

webInterfaceUrl
read-only
string

Url to the VMware on OVHcloud web interface

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Update service informationProduction

PUT
/v1/dedicatedCloud/{serviceName}/serviceInfos

Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.

Path parameters

serviceName
required
string

Domain of the service

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"